رفتن به محتوا

Kling 4.0 Text to Video

یکپارچه‌سازی

شناسه مدل kling/v4/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling/v4/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

فایل‌هایی مانند نمونه: ⁨‎$۱٫۱۷۵⁩ ۱٬۱۷۵ اعتبار API فایل‌های شما پیش از اجرا اندازه‌گیری می‌شوند اجرای آن در این صفحه

دریافت کلید API
Kling متن به ویدیو ۳–۳۰ ثانیهحداکثر 1080p #text-to-video#multi-shot#cinematic#kling

تولید ویدیوی فقط متنی با promptهای اختیاری برای هر نما؛ کلیپ‌های ۳ تا ۳۰ ثانیه‌ای با وضوح 720p یا 1080p

ساخته‌شده در Doitong

آثار عمومی ساخته‌شده با Kling 4.0 توسط جامعه Doitong. یک پرامپت را با یک کلیک دوباره استفاده کنید.

آثار عمومی نمایش‌داده‌شده: 16
**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... ویدیو

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... ویدیو

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... ویدیو

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе... ویدیو

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе с панорамными окнами. Внутри деревянный интерьер, мягкие диваны и живые цветы. Они садятся за столик, перед ними стоят дымящиеся чашки чая. Мягкий свет ламп создает уют. Средний план, уровень глаз. (...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... ویدیو

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты вн... ویدیو

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты внешности, возраст, причёски и одежду. Мужчины слегка поворачивают головы, естественно моргают и едва заметно улыбаются. Женщина слева спокойно смотрит в камеру и мягко моргает. Маленький ребёнок слегка...

Create a realistic 30-second vertical 9:16 video showing two construction workers installing larg... ویدیو

Create a realistic 30-second vertical 9:16 video showing two construction workers installing large white patio tiles in a modern backyard. Show the entire construction process in a smooth timelapse. Gradually transform the unfinished backyard into a luxurious outdoor living space with an L-shaped...

Create a warm, emotional 8–10 second cinematic video showing the difference between a young child... ویدیو

Create a warm, emotional 8–10 second cinematic video showing the difference between a young child playing alone and playing with their mother. Scene 1: A toddler sits on the floor playing with toys independently. The child is calm and focused, exploring and learning through independent play. The...

ساخت درخواست

کنترل‌ها از شِمای مدل تولید می‌شوند. با تغییر آن‌ها، کد و قیمت به‌روزرسانی می‌شوند.

88 / 2500

دستورهای متنی برای تولید؛ یکی از `prompt` یا `multi_prompt` را ارائه کنید.

resolution پیش‌فرض 1080p

وضوح خروجی.

aspect_ratio پیش‌فرض 16:9

نسبت تصویر ویدیوی نهایی.

پیش‌فرض 5

طول ویدیو برحسب ثانیه، از 3 تا 30.

پیشرفته multi_prompt

دستورهای تولید نما‌به‌نما؛ هر پرامپت یک نما را تعریف می‌کند و مدت آن در طول کل ویدیو لحاظ می‌شود.

POST /run/kling/v4/text-to-video?wait=20 قیمت → ⁨‎$۱٫۱۷۵⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling/v4/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

اجرای این درخواست

کلید شما در این مرورگر باقی می‌ماند: فقط به Doitong API ارسال می‌شود و فقط در صورت فعال‌کردن گزینه «یادآوری»، در localStorage ذخیره می‌شود. دریافت کلید API

درباره Kling 4.0 Text to Video

از یک پرامپت متنی حداکثر 2500 نویسه‌ای ویدیو تولید می‌کند و ورودی تصویر یا ویدیو ندارد. همچنین `multi_prompt` برای کلیپ‌های چندنما، یک پرامپت برای هر نما فراهم می‌کند و طول کل برابر مجموع مدت نماهاست. `duration` از 3 تا 30 ثانیه با پیش‌فرض 5 است. وضوح می‌تواند 720p یا 1080p و `aspect_ratio` می‌تواند 16:9، 9:16، 1:1 یا 21:9 باشد.

پارامترها

نامنوع پیش‌فرضمجاز توضیحات
promptاختیاری
نوعstring | null
≤ ۲٬۵۰۰ نویسه
دستورهای متنی برای تولید؛ یکی از `prompt` یا `multi_prompt` را ارائه کنید.
multi_promptاختیاری
نوعobject[]
دستورهای تولید نما‌به‌نما؛ هر پرامپت یک نما را تعریف می‌کند و مدت آن در طول کل ویدیو لحاظ می‌شود.
multi_prompt[].promptالزامی
نوعstring
1 – 512 characters
دستورهای متنی برای نمای فعلی.
multi_prompt[].durationاختیاری
نوعinteger
پیش‌فرض5
۱ – ۳۰
مدت یک نمای منفرد، برحسب ثانیه.
durationاختیاری
نوعinteger
پیش‌فرض5
۳ – ۳۰
طول ویدیو برحسب ثانیه، از 3 تا 30.
resolutionاختیاری
نوعenum
پیش‌فرض1080p
720p1080p
وضوح خروجی.
aspect_ratioاختیاری
نوعenum
پیش‌فرض16:9
16:99:161:121:9
نسبت تصویر ویدیوی نهایی.
الزامی

خروجی

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling/v4/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1175,
    "usd": "1.175",
    "charged": 1175,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
فایل‌های شما، انتخاب شماهر outputs[].url کپی‌ای در فضای ذخیره‌سازی ماست: برای همیشه (با هزینه به‌ازای هر GB-ماه) یا به‌مدت ۷ روز رایگان، بر اساس تنظیم حساب شما یا ?storage=.
ساختار یکسان در همه مدل‌هاtype، url، content_type، width، height و duration برای تصاویر، ویدیو و صدا یکسان هستند. output شیء نتیجه اختصاصی مدل است.
فیلدهای خروجی
video
object {url, content_type, file_name, file_size}ویدیوی تولیدشده توسط مدل.

مدل‌های بیشتر: متن به ویدیو

برای عامل‌های هوش مصنوعی: این صفحه به‌صورت Markdown در دسترس است https://doitong.com/fa/developers/models/kling/v4/text-to-video.md. همه مدل‌ها و راهنماها: https://doitong.com/developers/llms.txt